<?php if(comments_open()) { ?>
	<div id="respond" class="comment-form--outer">
		<h2 class="comment-form--title">
			<?php comment_form_title('Leave a Comment', 'Leave a Reply to %s'); ?>
			<span id="cancel-comment-reply"><?php cancel_comment_reply_link('(Cancel Reply)') ?></span>
		</h2>

		<form id="commentform" class="comment-form--inner" action="<?php bloginfo('url'); ?>/wp-comments-post.php" method="post">
			<?php comment_id_fields(); ?>

			<?php if(!is_user_logged_in()) { ?>
				<div class="comment-form--input"><input type="text" name="author" placeholder="Your Name..."></div>
				<div class="comment-form--input"><input type="text" name="email" placeholder="Your Email Address..."></div>
				<div class="comment-form--input"><input type="text" name="url" placeholder="Website URL (Optional)..."></div>
			<?php } ?>

			<?php
				if(is_user_logged_in()) {
					global $current_user;
					get_currentuserinfo();
			?>
				<p class="comment-user-welcome">Welcome, <strong><?php echo $current_user->user_firstname . ' ' . $current_user->user_lastname; ?></strong>. <a href="<?php echo wp_logout_url(); ?>">Logout?</a></p>
			<?php } ?>
			
			<textarea id="comment" class="comment-form--textarea" name="comment" placeholder="Your Comment..."></textarea>

			<button class="btn blue">Add Your Comment</button>
		</form>
	</div><!--end .comment-form-->
<?php } ?>

<?php if(have_comments()) { ?>
	<section class="user-comments">
		<h2 class="user-comments--title">
			<?php comments_number(); ?> <a href="#commentform">(Leave a Comment)</a>
			<?php post_comments_feed_link($link_text = '<span class="fa-icon">&#xf09e;</span>'); ?>
		</h2>

		<?php
			wp_list_comments(
				array(
					'type' => 'comment',
					'callback' => 'freon_comment',
					'max_depth' => 3,
					'reply_text' => 'Reply'
				)
			);
		?>
		
		<?php if((get_comment_pages_count() > 1)) {  ?>
			<div class="wp-pagenavi">
				<?php paginate_comments_links(array('prev_text' => '&laquo;', 'next_text' => '&raquo;')); ?>
			</div><!--end .wp-pagenavi-->
		<?php } ?>
	</section><!--end .user-comments-->
<?php } ?>